Subject: Detecting TCP loss on the receiving side?

From: Dan Noé <[email-masked]>
Date: Thu, 10 Jul 2008 15:44:12 -0400

We're trying to troubleshoot some problems and we'd like to use the 
struct tcp_info method to gain some information and attempt to detect 
TCP loss events on the receiving side of a TCP stream.  The problem is 
struct tcp_info is not well documented and my attempts to trace it seem 
to reveal that most of the statistics are relevant to the sending side 
of a TCP connection.

Are there any fields (or any other way) to easily detect loss events? 
We're mostly concerned with detecting when TCP loss or reordering delays 
things resulting in additional latency.

Thanks much,
Dan

-- 
Dan Noé
Software Engineer
Lime Brokerage LLC
781-370-2518